Subject: Mouse clicks in register preview of keyboard macros?

From: Okamsn <[email-masked]>
Date: Thu, 05 May 2022 02:12:32 +0000

Hello,

Currently, the method `register-val-describe` for keyboard macros in
`kmacro.el` uses `format-kbd-macro`, which skips over mouse clicks.

The function `key-description` does not skip over the mouse clicks, and
is used by Evil for showing register contents in the command
`evil-show-registers`.

Is there any reason to not use `key-description` for the register preview?

Thank you.